Magic Photo Editor Help

Email picget@gmail.com
Website http://www.picget.net

What's Magic Photo Editor?

Magic Photo Editor is an easy-to-use image editing software.
With Magic Photo Editor, you can easily blend your digital photo onto another image (a beautiful landscape image etc) to create special effect. It makes your photo interesting and pretty.

The features include:
1) There are 200 masks for you to choose, which changes your photo in different shapes then blends it onto the backdrop image
2)Add 60 kind of flowers onto your photo, which makes you photo more beautiful
3)Add 120 cartoon pictures onto your photo, which makes you photo more interesting.
4)Add text comments onto your photo.
5)Add frames onto your photo. There are 160 frames included.

You can easily change the size and position of the photos, flowers, cartoon pictures or text just by clicking and dragging them.

Sample

Original photo Backdrop image Blended photo

How to use Magic Photo Editor?

1) New Project
Click button 'New' to set up a new project.

2) Load Your digital Photo
Click button 'Photo' to load your digital photo.

3) Change Backdrop image
Click button 'Backdrop' to load backdrop image (a landscape image etc) onto which you want to blend your photo.
You can use your own pictures as your own backdrop images.
There are many beautiful pictures on the internet. For example, open http://www.google.com and search by keyword 'landscape picture','lake picture' etc and you'll find many pictures. Download and save them in your computer and use them as your own backdrop images in Magic Photo Editor. You may also download some background pictures from our website: http://www.picget.net/background.htm

4) Change Mask
Click button 'Mask' and choose the masks.
Different mask makes your photo in different shape, then blends it onto the backdrop image.
There are 200 masks for you to choose. See some samples:

5) Add flowers
Click button 'Flower' to add flowers onto the photo, to make it more beautiful.
There are 60 kind of flowers you can choose. See some samples:

6) Add cartoon pictures
Click button 'Cartoon' to add cartoon pictures onto the photo, to make it more interesting.
There are 120 cartoon pictures you can choose. See some samples:

7) Add Text Comments
Click button 'Text' to add add text comments onto the photo.
There are two choice: one is just add text comments. The other is you can add speaking frame first, then add the text comments in the speaking frame.

8) Add frame
Click button 'Frame' to add frame onto the photo.
There are 160 frames for you to choose. See some samples:

9) Del Frame
Click Button 'Del Frame' to delete the frame.

10) Copy and Delete
You can load many photos and add many flowers, cartoon pictures, text comments onto the backdrop image.
You can click button [image] to copy photos and flowers, cartoon pictures, text comments, or click button [image] to delete them.

11) Adjust the size and position
Also you can adjust the position and size of every photo or flower, cartoon picture, text comment by just clicking and dragging them.

How to register Magic Photo Editor?

Magic Photo Editor is a shareware. The unregistered version can be used for 30 times for trial purpose.
¡¡
To register it, Run Magic Photo Editor, click button 'Register', then click button 'Buy Now' in the new window to open the web page to buy it online.
We use Digital River Payment System for your payment.
( Founded in 1994, Digital River is a global leader in e-commerce outsourcing. SWREG, eMetix, RegNet, Register Now!, RegSoft, DigiBuy are examples of other Digital River companies. Symantec, Nokia, 3M, Autodesk, Novell are some companies that use services of Digital River. The security of this online purchase is as safe as it gets. )

After payment, please copy your Username showing in the register window, send it by email to: picget@gmail.com
We'll send you the Serial Number to register it within 24 hours.
After receiving the Serial Number send by us, please open the register window, input it and click button 'OK'.

Support

Any question or suggestion, please send email to us: picget@gmail.com
or get more information at our website: http://www.picget.net

Highly recommend to try our another image editing software: DeamLight Photo Editor. It can easily add many special dream effects onto your photo
Download DeamLight Photo Editor from our website http://www.picget.net
And try it.